# Interface methods for submodule: LandmarkBasedTransformInitializer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: LandmarkBasedTransformInitializer
class LandmarkBasedTransformInitializerProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetTransform(self, _arg) -> None:
		""""""
		...

	def SetReferenceImage(self, _arg) -> None:
		""""""
		...

	def SetBSplineNumberOfControlPoints(self, _arg: int) -> None:
		""""""
		...

	def SetFixedLandmarks(self, fixedLandmarks) -> None:
		""""""
		...

	def SetMovingLandmarks(self, movingLandmarks) -> None:
		""""""
		...

	def SetLandmarkWeight(self, landmarkWeight: Sequence[float]) -> None:
		""""""
		...

	def InitializeTransform(self) -> None:
		""""""
		...

